{
    // Используйте IntelliSense, чтобы узнать о возможных атрибутах.
    // Наведите указатель мыши, чтобы просмотреть описания существующих атрибутов.
    // Для получения дополнительной информации посетите: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "cwd": "${workspaceRoot}",
            "executable": "build/${input:elf}",
            "name": "Load",
            "request": "launch",
            "type": "cortex-debug",
            "servertype": "openocd",
            "device": "STM32F407VE",
            "svdFile": ".vscode/STM32F40x.svd",
            "configFiles": [
                "interface/stlink-v2.cfg",
                "target/stm32f4x.cfg"
            ],
            "swoConfig": {
                "source": "probe",
                "enabled": true,
                "swoFrequency": 2000000,
                "cpuFrequency": 120000000,
                "decoders": [
                    {
                        "port": 0,
                        "label": "Output",
                        "type": "console",
                    }
                ]
            }
        },
        {
            "cwd": "${workspaceRoot}",
            "executable": "build/${input:elf}",
            "name": "Attach",
            "request": "attach",
            "type": "cortex-debug",
            "servertype": "openocd",
            "device": "STM32F407VE",
            "svdFile": ".vscode/STM32F40x.svd",
            "configFiles": [
                "interface/stlink-v2.cfg",
                "target/stm32f4x.cfg"
            ],
            "swoConfig": {
                "source": "probe",
                "enabled": true,
                "swoFrequency": 2000000,
                "cpuFrequency": 120000000,
                "decoders": [
                    {
                        "port": 0,
                        "label": "Output",
                        "type": "console",
                    }
                ]
            }
        },
    ],
    "inputs": [
        {
            "id": "elf",
            "description": "Select ELF file",
            "default": "bt6709/stm32bt6709/stm32bt6709.elf",
            "type": "pickString",
            "options": [
                "iap/iap/iap.elf",
                "bt6703/stm32bt6703/stm32bt6703.elf",
                "bt6707/stm32bt6707/stm32bt6707.elf",
                "bt6709/stm32bt6709/stm32bt6709.elf"
            ]
        }
    ]
}